Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.data.sequences.annotation
Enum SinglePositionSequenceAnnotation.Type

    java.lang.Object
      java.lang.Enum<SinglePositionSequenceAnnotation.Type>
          de.jstacs.data.sequences.annotation.SinglePositionSequenceAnnotation.Type

All Implemented Interfaces:
  Serializable, Comparable<SinglePositionSequenceAnnotation.Type>

Enclosing class:
  SinglePositionSequenceAnnotation

    public static enum SinglePositionSequenceAnnotation.Type

extends Enum<SinglePositionSequenceAnnotation.Type>

The possible types of a `SinglePositionSequenceAnnotation`. May be extended in the future.

Author:
  Jan Grau

Enum Constant Summary
`SAS` Splice acceptor site
`SDS` Splice donor site
`TLS` Translation start
`TSS` Transcription start

Method Summary
`String` | `toString()`
`static SinglePositionSequenceAnnotation.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SinglePositionSequenceAnnotation.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TSS

    public static final SinglePositionSequenceAnnotation.Type TSS

  Transcription start

### TLS

    public static final SinglePositionSequenceAnnotation.Type TLS

  Translation start

### SDS

    public static final SinglePositionSequenceAnnotation.Type SDS

  Splice donor site

### SAS

    public static final SinglePositionSequenceAnnotation.Type SAS

  Splice acceptor site

Method Detail

### values

    public static final SinglePositionSequenceAnnotation.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SinglePositionSequenceAnnotation.Type c : SinglePositionSequenceAnnotation.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SinglePositionSequenceAnnotation.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<SinglePositionSequenceAnnotation.Type>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD